Subject: Re: [PATCH] selftests/powerpc: Fix wild_bctr test to work on BE

From: Segher Boessenkool <[email-masked]>
Date: Wed, 7 Nov 2018 11:48:05 -0600

Hi!

On Wed, Nov 07, 2018 at 09:17:23PM +1100, Michael Ellerman wrote:
> The selftest I recently added to test branching to an out-of-bounds
> NIP doesn't work on big endian. It does fail but not in the right way.
> That is it SEGVs trying to load from the opd at BAD_NIP, but it never
> gets as far as branching to BAD_NIP.
> 
> To fix it we need to create an opd which is reachable but which holds
> the bad address.

> +#ifdef __BIG_ENDIAN__

Maybe you should test for _CALL_AIXDESC instead?  It is more directly
what you want to know, and it even works correctly in all cases ;-)

Segher